package com.fjhx.xmhjc.entity.column.po;

import com.ruoyi.common.core.domain.BaseIdPo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 栏目文章表
 * </p>
 *
 * @author lqh
 * @since 2023-11-16
 */
@Getter
@Setter
@TableName("column_article")
public class ColumnArticle extends BaseIdPo {

    /**
     * 菜单栏目id
     */
    private Long columnId;

    /**
     * 子栏目id
     */
    private Long subId;

    /**
     * 标题
     */
    private String title;

    /**
     * 副标题
     */
    private String subTitle;

    /**
     * 简述
     */
    private String briefly;

    /**
     * 封面
     */
    private Long readNum;

    /**
     * 发表时间
     */
    private Date time;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 状态
     */
    private String status;

    /**
     * 正文类型1=富文本；2=视频；3=xxx
     */
    private String bodyType;

    /**
     * 富文本内容
     */
    private String content;

    /**
     * 视频地址
     */
    private String videoUrl;

}
