package com.fjhx.xmhjc.entity.product.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 产品图片
 * </p>
 *
 * @author hj
 * @since 2023-11-12
 */
@Getter
@Setter
@TableName("product_image")
public class ProductImage extends BasePo {

    /**
     * 产品id
     */
    private Integer productId;

    /**
     * 图片地址
     */
    private String url;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 类型1=轮播图；2=详情图
     */
    private String type;

}
