package com.fjhx.xmhjc.mapper.home;

import com.fjhx.xmhjc.entity.home.po.HomeSetting;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.home.vo.HomeSettingVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 首页配置 Mapper 接口
 * </p>
 *
 * @author lqh
 * @since 2023-11-22
 */
public interface HomeSettingMapper extends BaseMapper<HomeSetting> {

    /**
     * 首页配置列表
     */
    List<HomeSettingVo> getList(@Param("ew") IWrapper<HomeSetting> wrapper);

    /**
     * 首页配置分页
     */
    Page<HomeSettingVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<HomeSetting> wrapper);

}
